[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[ MDVSA-2010:178 ] ocsinventory



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 _______________________________________________________________________

 Mandriva Linux Security Advisory                         MDVSA-2010:178
 http://www.mandriva.com/security/
 _______________________________________________________________________

 Package : ocsinventory
 Date    : September 12, 2010
 Affected: Enterprise Server 5.0
 _______________________________________________________________________

 Problem Description:

 Multiple vulnerabilities has been found and corrected in ocsinventory:
 
 Multiple cross-site scripting (XSS) vulnerabilities in
 ocsreports/index.php in OCS Inventory NG 1.02.1 allow remote attackers
 to inject arbitrary web script or HTML via (1) the query string, (2)
 the BASE parameter, or (3) the ega_1 parameter.  NOTE: some of these
 details are obtained from third party information (CVE-2010-1594).
 
 Multiple SQL injection vulnerabilities in ocsreports/index.php in
 OCS Inventory NG 1.02.1 allow remote attackers to execute arbitrary
 SQL commands via the (1) c, (2) val_1, or (3) onglet_bis parameter
 (CVE-2010-1595).
 
 Multiple SQL injection vulnerabilities in OCS Inventory NG before
 1.02.3 allow remote attackers to execute arbitrary SQL commands via
 (1) multiple inventory fields to the search form, reachable through
 index.php; or (2) the Software name field to the All softwares search
 form, reachable through index.php.  NOTE: the provenance of this
 information is unknown; the details are obtained solely from third
 party information (CVE-2010-1733).
 
 This upgrade provides ocsinventory 1.02.3 which is not vulnerable
 for these security issues.
 _______________________________________________________________________

 References:

 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1594
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1595
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1733
 _______________________________________________________________________

 Updated Packages:

 Mandriva Enterprise Server 5:
 a9045d602b87e3da6e0d24328ff66352  mes5/i586/ocsinventory-reports-1.02.3-0.1mdvmes5.1.noarch.rpm
 99043a5be495e958fc3618f7af2a3010  mes5/i586/ocsinventory-server-1.02.3-0.1mdvmes5.1.noarch.rpm 
 d2e957fa895a06682cf4278d4e3caf62  mes5/SRPMS/ocsinventory-1.02.3-0.1mdvmes5.1.src.rpm

 Mandriva Enterprise Server 5/X86_64:
 7a2ab2ccba209d24705b554d51dc09f0  mes5/x86_64/ocsinventory-reports-1.02.3-0.1mdvmes5.1.noarch.rpm
 de6b2e60f3021eb9757b32eedb0a35fc  mes5/x86_64/ocsinventory-server-1.02.3-0.1mdvmes5.1.noarch.rpm 
 d2e957fa895a06682cf4278d4e3caf62  mes5/SRPMS/ocsinventory-1.02.3-0.1mdvmes5.1.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

  http://www.mandriva.com/security/advisories

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Mandriva Security Team
  <security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFMjORmmqjQ0CJFipgRAnW0AKC2dMT4NeXZ2Nx/QydwWOVrx7d9pgCfc1Dl
zcdkwMI8zRqG3dLfHJYZCIw=
=SFQl
-----END PGP SIGNATURE-----